import { GeographicMapSeriesHostDescription } from "./GeographicMapSeriesHostDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class GeographicXYTriangulatingSeriesDescription extends GeographicMapSeriesHostDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private ea;
    get longitudeMemberPath(): string;
    set longitudeMemberPath(a: string);
    private d9;
    get latitudeMemberPath(): string;
    set latitudeMemberPath(a: string);
    private eb;
    get trianglesSourceRef(): string;
    set trianglesSourceRef(a: string);
    private ec;
    get triangleVertexMemberPath1(): string;
    set triangleVertexMemberPath1(a: string);
    private ed;
    get triangleVertexMemberPath2(): string;
    set triangleVertexMemberPath2(a: string);
    private ee;
    get triangleVertexMemberPath3(): string;
    set triangleVertexMemberPath3(a: string);
}
